Freeciv-3.1: Data Fields - Functions

Freeciv-3.1

Loading...
Searching...
No Matches
Here is a list of all functions with links to the structures/unions they belong to:

### - s -

- same_name_toggle() : tab_achievement, tab_building, tab_extras, tab_good, tab_gov, tab_multiplier, tab_tech, tab_terrains, tab_unit
- sanity_check() : tab_misc
- save_cma() : city_dialog
- save_game() : mr_menu
- save_game_as() : mr_menu
- save_image() : mr_menu
- save_now() : tab_misc
- save_options_now() : mr_menu
- save_worklist() : city_dialog
- sblink() : fc_sidewidget
- sc() : fc_shortcuts
- scale() : minimap_view
- scale_point() : minimap_view
- scale_widget() : scale_widget
- science_report() : science_report
- scroll_to_bottom() : chatwdg
- sea_map_clause() : diplo_wdg
- select_achievement() : tab_achievement
- select_all() : city_widget
- select_bldg() : tab_building
- select_building_something() : city_widget
- select_city() : city_widget
- select_coastal() : city_widget
- select_color() : option_dialog
- select_effect() : effect_edit
- select_enabler() : tab_enabler
- select_extra() : tab_extras
- select_font() : option_dialog
- select_good() : tab_good
- select_gov() : tab_gov
- select_multiplier() : tab_multiplier
- select_none() : city_widget
- select_req() : req_edit
- select_same_island() : city_widget
- select_tech() : tab_tech
- select_terrain() : tab_terrains
- select_unit() : tab_unit
- select_units() : unit_hud_selector
- selection_changed() : eco_report, hud_unit_loader
- sell_buildings() : eco_report
- sell_redundant() : eco_report
- send() : chat_input
- send_chat_message() : chat_listener
- send_fake_chat_message() : fc_client
- sentry_unit() : unit_item
- server_input() : fc_client
- server_options() : mr_menu
- set_aifill() : pregame_options
- set_attack_value() : edit_utype
- set_bcost_value() : edit_impr, edit_utype
- set_bitwise() : option_dialog
- set_bool() : option_dialog
- set_bottom_panel() : help_widget
- set_button_color() : option_dialog
- set_city() : city_label
- set_color() : option_dialog
- set_connection_state() : fc_client
- set_cost_value() : edit_tech
- set_custom_labels() : fc_sidewidget
- set_defense_value() : edit_terrain, edit_utype
- set_diplo_dialog() : fc_client
- set_enum() : option_dialog
- set_fading() : hud_unit_combat
- set_firepower() : edit_utype
- set_font() : fc_font, option_dialog
- set_hitpoints() : edit_utype
- set_index() : diplo_wdg, races_dialog
- set_int() : option_dialog
- set_label() : fc_sidewidget
- set_layout() : choice_dialog
- set_left_click() : fc_sidewidget
- set_main_widget() : help_widget
- set_mcost_value() : edit_terrain
- set_move_rate() : edit_utype
- set_pixmap() : city_map, fc_sidewidget, hud_action, progress_bar
- set_right_click() : fc_sidewidget
- set_rulesets() : pregame_options
- set_scale() : hud_battle_log, hud_unit_combat
- set_shortcut() : fc_shortcuts
- set_status_bar() : fc_client
- set_string() : option_dialog
- set_text_title() : hud_message_box
- set_text_title_definput() : hud_input_box
- set_tile_for_order() : mr_menu
- set_tooltip() : fc_sidewidget
- set_topic() : help_dialog, help_widget
- set_topic_any() : help_widget
- set_topic_building() : help_widget
- set_topic_extra() : help_widget
- set_topic_goods() : help_widget
- set_topic_government() : help_widget
- set_topic_nation() : help_widget
- set_topic_other() : help_widget
- set_topic_specialist() : help_widget
- set_topic_tech() : help_widget
- set_topic_terrain() : help_widget
- set_topic_text() : help_widget
- set_topic_unit() : help_widget
- set_upkeep_value() : edit_impr
- set_value() : effect_edit
- set_wheel_down() : fc_sidewidget
- set_wheel_up() : fc_sidewidget
- setData() : city_item, city_model, city_production_model, plr_item, plr_model, production_item
- setData1() : Choice_dialog_button
- setData2() : Choice_dialog_button
- setup() : mpgui, ruledit_gui
- setup_list() : mpgui
- setup_menus() : mr_menu
- setup_ui() : city_dialog, help_widget
- shortcut_2_menustring() : mr_menu
- shortcut_2_menustring_inner() : mr_menu
- shortcut_exist() : mr_menu
- shortcut_exist_inner() : mr_menu
- shortcut_options() : mr_menu
- shortcut_pressed() : map_view
- shortcut_released() : map_view
- show_happiness() : city_dialog
- show_info() : fc_sc_button
- show_info_panel() : help_widget
- show_me() : choice_dialog, goto_dialog, hud_text, hud_unit_loader, unit_hud_selector
- show_menu() : diplo_wdg
- show_menu_p1() : diplo_wdg
- show_menu_p2() : diplo_wdg
- show_relations_toggle() : plr_report
- show_required() : ruledit_gui
- show_targets() : city_dialog
- show_targets_worklist() : city_dialog
- show_techs_toggle() : plr_report
- show_tooltip() : research_diagram
- show_wonders_toggle() : plr_report
- showEvent() : city_dialog, help_dialog, hud_battle_log, minimap_view, option_dialog
- size() : research_diagram
- size_hint() : city_production_model
- sizeHint() : city_item_delegate, city_map, city_production_delegate, fc_double_edge, plr_item_delegate
- slot_achievements() : mr_menu
- slot_action() : mr_menu
- slot_action_vs_city() : mr_menu
- slot_action_vs_unit() : mr_menu
- slot_airlift() : mr_menu
- slot_apply_button_pressed() : tax_rates_dialog
- slot_auto_settler() : mr_menu
- slot_autocaravan() : mr_menu
- slot_battlelog() : mr_menu
- slot_bg1append() : mr_menu
- slot_bg1assign() : mr_menu
- slot_bg1select() : mr_menu
- slot_bg2append() : mr_menu
- slot_bg2assign() : mr_menu
- slot_bg2select() : mr_menu
- slot_bg3append() : mr_menu
- slot_bg3assign() : mr_menu
- slot_bg3select() : mr_menu
- slot_bg4append() : mr_menu
- slot_bg4assign() : mr_menu
- slot_bg4select() : mr_menu
- slot_board() : mr_menu
- slot_borders() : mr_menu
- slot_build_base() : mr_menu
- slot_build_city() : mr_menu
- slot_build_irrigation() : mr_menu
- slot_build_mine() : mr_menu
- slot_build_path() : mr_menu
- slot_build_road() : mr_menu
- slot_calculate() : mr_menu
- slot_cancel_button_pressed() : multipler_rates_dialog, tax_rates_dialog
- slot_center_view() : mr_menu
- slot_city_buycost() : mr_menu
- slot_city_growth() : mr_menu
- slot_city_names() : mr_menu
- slot_city_outlines() : mr_menu
- slot_city_output() : mr_menu
- slot_city_production() : mr_menu
- slot_city_trade_routes() : mr_menu
- slot_clean_fallout() : mr_menu
- slot_clean_pollution() : mr_menu
- slot_clear_trade() : mr_menu
- slot_conn_irrigation() : mr_menu
- slot_conn_maglev() : mr_menu
- slot_conn_rail() : mr_menu
- slot_conn_road() : mr_menu
- slot_connect() : fc_client
- slot_convert() : mr_menu
- slot_cultivate() : mr_menu
- slot_deboard() : mr_menu
- slot_delayed_goto() : mr_menu
- slot_demographics() : mr_menu
- slot_disband() : mr_menu
- slot_disconnect() : fc_client
- slot_done_moving() : mr_menu
- slot_endgame() : mr_menu
- slot_execute_orders() : mr_menu
- slot_fullbar() : mr_menu
- slot_fullscreen() : mr_menu
- slot_help() : mr_menu
- slot_lan_scan() : fc_client
- slot_lock() : mr_menu
- slot_map_grid() : mr_menu
- slot_meta_scan() : fc_client
- slot_minimap_view() : mr_menu
- slot_native_tiles() : mr_menu
- slot_ok_button_pressed() : multipler_rates_dialog, tax_rates_dialog
- slot_orders_clear() : mr_menu
- slot_patrol() : mr_menu
- slot_pick_nation() : fc_client
- slot_pillage() : mr_menu
- slot_plant() : mr_menu
- slot_popup_mult_rates() : mr_menu
- slot_popup_tax_rates() : mr_menu
- slot_pregame_observe() : fc_client
- slot_pregame_start() : fc_client
- slot_quickairlift() : mr_menu
- slot_quickairlift_set() : mr_menu
- slot_rally() : mr_menu
- slot_return_to_city() : mr_menu
- slot_select_all_tile() : mr_menu
- slot_select_one() : mr_menu
- slot_select_same_continent() : mr_menu
- slot_select_same_everywhere() : mr_menu
- slot_select_same_tile() : mr_menu
- slot_selection_changed() : fc_client
- slot_set_home() : mr_menu
- slot_set_value() : multipler_rates_dialog
- slot_show_cities() : mr_menu
- slot_show_eco_report() : mr_menu
- slot_show_map() : mr_menu
- slot_show_nations() : mr_menu
- slot_show_new_turn_text() : mr_menu
- slot_show_research_tab() : mr_menu
- slot_show_units_report() : mr_menu
- slot_spaceship() : mr_menu
- slot_stack_size() : mr_menu
- slot_top_five() : mr_menu
- slot_trade_add_all() : mr_menu
- slot_trade_city() : mr_menu
- slot_transform() : mr_menu
- slot_traveler() : mr_menu
- slot_unit_airbase() : mr_menu
- slot_unit_explore() : mr_menu
- slot_unit_filter() : mr_menu
- slot_unit_fortify() : mr_menu
- slot_unit_fortress() : mr_menu
- slot_unit_goto() : mr_menu
- slot_unit_sentry() : mr_menu
- slot_unload_all() : mr_menu
- slot_unsentry() : mr_menu
- slot_upgrade() : mr_menu
- slot_wait() : mr_menu
- solution_accepted() : req_vec_fix_problem
- some_slot() : fc_sidewidget
- sort_def() : goto_dialog
- sound_fight_tag_alt_given() : edit_utype
- sound_fight_tag_given() : edit_utype
- sound_move_tag_alt_given() : edit_utype
- sound_move_tag_given() : edit_utype
- sound_tag_alt_given() : edit_impr
- sound_tag_given() : edit_impr
- ss_report() : ss_report
- stack_button() : choice_dialog
- start_from_save() : fc_client
- start_go_act() : go_act_menu
- start_new_game() : fc_client
- start_page_menu() : fc_client
- start_scenario() : fc_client
- state_changed() : chatwdg
- state_preview() : fc_client
- style_selected() : races_dialog
- switch_page() : fc_client
- switch_target() : choice_dialog